import request from '@/utils/request'

// 查询户口变更记录列表
export function listRecard(query) {
  return request({
    url: '/szxc/recard/list',
    method: 'get',
    params: query
  })
}

// 查询户口变更记录详细
export function getRecard(id) {
  return request({
    url: '/szxc/recard/' + id,
    method: 'get'
  })
}

// 新增户口变更记录
export function addRecard(data) {
  return request({
    url: '/szxc/recard',
    method: 'post',
    data: data
  })
}

// 修改户口变更记录
export function updateRecard(data) {
  return request({
    url: '/szxc/recard',
    method: 'put',
    data: data
  })
}

// 删除户口变更记录
export function delRecard(id) {
  return request({
    url: '/szxc/recard/' + id,
    method: 'delete'
  })
}
